<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      th:with="activeTab='penugasan'"
      layout:decorate="~{layout}">
    <head>
        <title>List Penugasasn</title>
    </head>
    <body>
        <section layout:fragment="content-header">
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Penugasan</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a th:href="@{/home}">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                            <a th:href="@{/ep/penugasan/list}">Penugasan</a>
                        </li>
                        <li class="breadcrumb-item active">
                            <strong>List Penugasan</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">

                </div>
            </div>
        </section>
        <section layout:fragment="content">
            <div class="wrapper wrapper-content">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox ">
                            <div class="ibox-title">
                                <h5>List Tugas</h5>
                                <div class="ibox-tools">
                                    <a th:href="@{/ep/penugasan/form}" class="btn btn-primary btn-xs"><i class="fa fa-plus"></i> Tambah Data Penugasan</a>
                                </div>
                            </div>

                            <div class="ibox-content">
                                <div class="row">
                                    <div class="col-md-12">
                                        <form th:action="@{/ep/penugasan/list}" method="get">
                                            <div class="input-group">
                                                <input type="text" class="form-control" placeholder="Nama" name="cari">
                                                <span class="input-group-btn">
                                                    <button type="submit" class="btn btn-info"><i class="fa fa-search"></i> Search</button>
                                                </span>
                                            </div>
                                        </form>
                                    </div>
                                </div>

                                <div class="table-responsive">
                                    <table class="table table-hover table-striped" >
                                        <thead>
                                            <tr>
                                                <th>Tugas</th>
                                                <th>Petugas</th>
                                                <th>Action</th>  
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr th:each="o, row : ${data.content}">
                                                <td th:text= "${o.tugas.nama}"></td>
                                                <td th:text= "${o.petugas.nama}"></td>

                                                <td>
                                                    <a th:href="@{/ep/penugasan/form(id=${o.id})}">    
                                                        <button class="btn btn-info btn-sm ladda-button"><i class="fa fa-pencil"></i> edit</button>
                                                    </a>
                                                    <a th:href="@{/ep/penugasan/delete(id=${o.id})}">
                                                        <button class="btn btn-danger btn-sm ladda-button"><i class="fa fa-trash"></i> Delete</button>
                                                    </a>
                                                </td>
                                            </tr> 
                                        </tbody>
                                    </table>
                                </div>

                                <div class="row">
                                    <div class="col-sm-6">
                                        <div sd:pagination-summary="">info</div>
                                    </div>
                                    <div class="col-sm-6">
                                        <nav class="pull-right">
                                            <ul class="pagination" sd:pagination-split="7" sd:pagination="full">
                                                <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                            </ul>
                                        </nav>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </body>
</html>
